<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classipbus__ctrl.html">ipbus_ctrl</a></li><li class="navelem"><a class="el" href="classipbus__ctrl_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classipbus__ctrl_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a6b1caa5403da7db7e4bde3ed53ec4c83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6b1caa5403da7db7e4bde3ed53ec4c83"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a6b1caa5403da7db7e4bde3ed53ec4c83">trans_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_in</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1bcbce1a8cf05a81c18f5858711bd952"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bcbce1a8cf05a81c18f5858711bd952"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a1bcbce1a8cf05a81c18f5858711bd952">trans_in_udp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_in</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5a816c30e0b6bcd3c548e308ea1b70c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5a816c30e0b6bcd3c548e308ea1b70c"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#ac5a816c30e0b6bcd3c548e308ea1b70c">trans_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_out</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa06ea3eb87c72fef9dd83a33e05d769f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa06ea3eb87c72fef9dd83a33e05d769f"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#aa06ea3eb87c72fef9dd83a33e05d769f">trans_out_udp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_out</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2921e5254fc13b55ebd4e03ad327a514"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2921e5254fc13b55ebd4e03ad327a514"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a2921e5254fc13b55ebd4e03ad327a514">udp_rxpacket_ignored</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a410bfc84134a11354b45c1e70ca1a1b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a410bfc84134a11354b45c1e70ca1a1b8"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a410bfc84134a11354b45c1e70ca1a1b8">udp_rxpacket_dropped</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b286be6cdafa3b0cea708d3f78702da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b286be6cdafa3b0cea708d3f78702da"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a7b286be6cdafa3b0cea708d3f78702da">cfg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aee0ae131ab3651a65cbd688123b4f6b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee0ae131ab3651a65cbd688123b4f6b3"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#aee0ae131ab3651a65cbd688123b4f6b3">cfg_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad848b9b38135b8e0ff2bb5d7fb74d546"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad848b9b38135b8e0ff2bb5d7fb74d546"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#ad848b9b38135b8e0ff2bb5d7fb74d546">my_mac_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab625e2f7d7d59467da3bbd51260e9ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab625e2f7d7d59467da3bbd51260e9ed"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#aab625e2f7d7d59467da3bbd51260e9ed">my_ip_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0da7e2e2e9a748d5f6c8bd389dae762c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0da7e2e2e9a748d5f6c8bd389dae762c"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a0da7e2e2e9a748d5f6c8bd389dae762c">my_ip_addr_udp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab148ecd3ed2703554830c8d5c80965bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab148ecd3ed2703554830c8d5c80965bf"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#ab148ecd3ed2703554830c8d5c80965bf">pkt_rx_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7ed1fdae09751134e00b3c2456a63586"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ed1fdae09751134e00b3c2456a63586"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a7ed1fdae09751134e00b3c2456a63586">pkt_tx_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73c6e5b7dfb6f9daef75369cf47f85d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73c6e5b7dfb6f9daef75369cf47f85d5"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a73c6e5b7dfb6f9daef75369cf47f85d5">udp_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a717df73850f1f688cf755cca6097a3e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a717df73850f1f688cf755cca6097a3e6"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a717df73850f1f688cf755cca6097a3e6">rarp_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:addd2ffe3f363c22b0bf5f7335b37a419"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addd2ffe3f363c22b0bf5f7335b37a419"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#addd2ffe3f363c22b0bf5f7335b37a419">buf_in_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_in_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_OOB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab53c12ab646ef3f415b4422373842cab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab53c12ab646ef3f415b4422373842cab"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#ab53c12ab646ef3f415b4422373842cab">buf_out_a</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ipbus_trans_out_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_OOB</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a56026695424ec9c9d3b337ea122c30bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a56026695424ec9c9d3b337ea122c30bf"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a56026695424ec9c9d3b337ea122c30bf">arb</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.trans_arb</b>  </td></tr>
<tr class="memitem:ad6027d985db20cf51f811ba799277c5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6027d985db20cf51f811ba799277c5c"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#ad6027d985db20cf51f811ba799277c5c">trans</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.transactor</b>  </td></tr>
<tr class="memitem:a0e94adfec12fc37bc423d7a1a680f2a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e94adfec12fc37bc423d7a1a680f2a4"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a0e94adfec12fc37bc423d7a1a680f2a4">stretch_rx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.stretcher</b>  </td></tr>
<tr class="memitem:a768131a1aa0cae09bea0acf8f64f7a2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a768131a1aa0cae09bea0acf8f64f7a2d"></a>
<a class="el" href="classipbus__ctrl_1_1rtl.html#a768131a1aa0cae09bea0acf8f64f7a2d">stretch_tx</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.stretcher</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="ipbus__ctrl_8vhd_source.html#l00066">66</a> of file <a class="el" href="ipbus__ctrl_8vhd_source.html">ipbus_ctrl.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="ipbus__ctrl_8vhd_source.html">ipbus_ctrl.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
